import { CdmCorpusContext, CdmObjectReferenceBase, cdmObjectType, CdmPurposeDefinition, resolveOptions, VisitCallback } from '../internal';
export declare class CdmPurposeReference extends CdmObjectReferenceBase {
    static get objectType(): cdmObjectType;
    constructor(ctx: CdmCorpusContext, purpose: string | CdmPurposeDefinition, simpleReference: boolean);
    getObjectType(): cdmObjectType;
    /**
     * @internal
     */
    copyRefObject(resOpt: resolveOptions, refTo: string | CdmPurposeDefinition, simpleReference: boolean, host?: CdmObjectReferenceBase): CdmObjectReferenceBase;
    /**
     * @internal
     */
    visitRef(pathFrom: string, preChildren: VisitCallback, postChildren: VisitCallback): boolean;
}
